<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_mahjong.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

// include INFUSIONS."mg_mahjong/infusion_db.php";
include INFUSIONS."mg_mahjong/includes/functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_mahjong/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_mahjong/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_mahjong/locale/German.php";
}

require INFUSIONS."mg_mahjong/block.php";
require INFUSIONS."mg_mahjong/layout.php";
require INFUSIONS."mg_mahjong/board.php";

define("BLOCK_WIDTH", 54);
define("BLOCK_HEIGHT", 72);
define("BASE_CARDS", 39);
define("TILES_IMAGE", "images/tiles-2.png");
define("COLS_IN_IMAGE", 9);
define("ROWS_IN_IMAGE", 5);
define("LAST_ROW_MARKER", 35);
define("SPECIAL_GROUP_SIZE", 4);
	
$layout_name = "classic";
if ( $_REQUEST["layout"] ) $layout_name = $_REQUEST["layout"];
else {
	$layouts = array("classic", "cat", "beetle");
	$layout_name = $layouts[array_rand($layouts, 1)];
}
$board = new Board($layout_name);

add_to_title(" :: ".$locale['MAHJ_001']." ::");
set_meta("Content-Type", "application/xhtml+xml; charset=".$locale['charset']."");
add_to_head("<link rel='stylesheet' href='".INFUSIONS."mg_mahjong/includes/mahjong.css' type='text/css' />\n
<script type='text/javascript' src='http://ajax.googleapis.com/ajax/libs/jquery/1.4/jquery.min.js'></script>\n
<script type='text/javascript' src='".INFUSIONS."mg_mahjong/includes/jquery.metadata.js'></script>\n
<script type='text/javascript' src='".INFUSIONS."mg_mahjong/includes/mahjong.js'></script>\n
<script type='text/javascript' src='".INFUSIONS."mg_mahjong/includes/swfobject.js'></script>\n
<script type='text/javascript'>
	var flashvars = false;
	var attributes = {};
	var params = {
	  allowscriptaccess : 'always',
	  wmode : 'transparent',
	  menu: 'false'
	};
	swfobject.embedSWF('sfx.swf', 'sfx_movie', '1', '1', '9.0.0', '".INFUSIONS."mg_mahjong/includes/expressInstall.swf', flashvars, params, attributes);
</script>
<style type='text/css'>\n".$board->get_css()."\n
#game_board .selected img{\n
	display: block;\n
}\n
.block img{\n
	display: none;\n
}\n
</style>");

opentable($locale['MAHJ_001']);
echo "<center><strong>".$locale['MAHJ_002']."</strong><br />";
echo "<a style='text-decoration:none;' href='".FUSION_SELF."?layout=classic'><img src='".INFUSIONS."mg_mahjong/images/classic.png' title='".$locale['MAHJ_003']."' style='".($layout_name == "classic" ? " border:2px solid red;" : " border:none; margin:2px;")."' /></a>";
echo "<a style='text-decoration:none;' href='".FUSION_SELF."?layout=cat'><img src='".INFUSIONS."mg_mahjong/images/cat.png' title='".$locale['MAHJ_004']."' style='".($layout_name == "cat" ? " border:2px solid red;" : " border:none; margin: 2px;")."' /></a>";
echo "<a style='text-decoration:none;' href='".FUSION_SELF."?layout=beetle'><img src='".INFUSIONS."mg_mahjong/images/beetle.png' title='".$locale['MAHJ_005']."' style='".($layout_name == "beetle" ? " border:2px solid red;" : " border:none; margin: 2px;")."' /></a>";
echo "<a style='text-decoration:none;' href='".FUSION_SELF."'><img src='".INFUSIONS."mg_mahjong/images/random.png' title='".$locale['MAHJ_014']."' style='border:none; margin: 2px;' /></a>";
echo "</center>";

echo "<center>";
$layout = ($layout_name == "beetle" ? $locale['MAHJ_005'] : ($layout_name == "cat" ? $locale['MAHJ_004'] : $locale['MAHJ_003']));
echo "<h3>".$locale['MAHJ_001']." (".$layout.")</h3>";
echo "
<div id='sfx_movie'>
	<h1>This page requires flash for full functionality</h1>
	<p><a href='http://www.adobe.com/go/getflashplayer'>
		<img src='http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif' alt='Get Adobe Flash player' />
	</a></p>
</div>
<ul id='control'>
	<li>".$locale['MAHJ_006']."<span id='availableMoves'></span></li>
	<li class='m_sep'>|</li>
	<li><a id='show_hint' href='#hint'>".$locale['MAHJ_007']."</a></li>
	<li class='m_sep'>|</li>
	<li><a id='shuffle' href='#shuffle'>".$locale['MAHJ_008']."</a></li>
</ul>";
echo "
<div id='game_board_container'>";
	print $board->get_html();
echo "</div>
<div id='player_won' style='background:#fff url(".INFUSIONS."mg_mahjong/images/".$locale['MAHJ_012'].") no-repeat center center'></div>
<div id='player_lost'>
	<h3>".$locale['MAHJ_009']."</h3>
	<a id='start_again' href='#'>".$locale['MAHJ_010']."</a> <a id='game_over_shuffle' href='#'>".$locale['MAHJ_011']."</a>
</div>";

echo "</center>";
closetable();
# Please do not remove this line! #
echo mahjong_Copyright();
###################################
require_once THEMES."templates/footer.php";
?>